Mojo::Server::PSGI(3)

NAME
Mojo::Server::PSGI - PSGI server

SYNOPSIS
  use Mojo::Server::PSGI;

  my $psgi = Mojo::Server::PSGI->new;
  $psgi->unsubscribe('request')->on(request => sub {
    my ($psgi, $tx) = @_;

    # Request
    my $method = $tx->req->method;
    my $path   = $tx->req->url->path;

    # Response
    $tx->res->code(200);
    $tx->res->headers->content_type('text/plain');
    $tx->res->body("$method request for $path!");

    # Resume transaction
    $tx->resume;
  });
  my $app = $psgi->to_psgi_app;

DESCRIPTION
Mojo::Server::PSGI allows Mojolicious applications to run on all PSGI compatible servers.

See "DEPLOYMENT" in Mojolicious::Guides::Cookbook for more.

EVENTS
Mojo::Server::PSGI inherits all events from Mojo::Server.

ATTRIBUTES
Mojo::Server::PSGI inherits all attributes from Mojo::Server.

METHODS
Mojo::Server::PSGI inherits all methods from Mojo::Server and implements the following new ones.

  run
  my $res = $psgi->run($env);

Run PSGI.

  to_psgi_app
  my $app = $psgi->to_psgi_app;

Turn Mojo application into PSGI application.

SEE ALSO
Mojolicious, Mojolicious::Guides, <http://mojolicious.org>.